org.apache.cassandra.utils

## Class JMXServerUtils

- java.lang.Object
- - org.apache.cassandra.utils.JMXServerUtils

-     public class JMXServerUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMXServerUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.management.remote.JMXConnectorServer` | `createJMXServer(int port, boolean local)` Creates a server programmatically.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JMXServerUtils

          public JMXServerUtils()

  - ### Method Detail

    - #### createJMXServer

          public static javax.management.remote.JMXConnectorServer createJMXServer(int port,
                                                                                   boolean local)
                                                                            throws java.io.IOException

      Creates a server programmatically. This allows us to set parameters which normally are inaccessable.
      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation